Subject: [PATCHv2] arm: Update all mm structures with section adjustments

From: [email-masked] (Laura Abbott)
Date: Mon, 30 Nov 2015 16:42:25 -0800

On 11/30/2015 03:40 PM, Kees Cook wrote:
> On Thu, Nov 19, 2015 at 11:10 AM, Kees Cook <[email-masked]> wrote:
>> On Wed, Nov 18, 2015 at 4:14 PM, Laura Abbott <[email-masked]> wrote:
>>> Currently, when updating section permissions to mark areas RO
>>> or NX, the only mm updated is current->mm. This is working off
>>> the assumption that there are no additional mm structures at
>>> the time. This may not always hold true. (Example: calling
>>> modprobe early will trigger a fork/exec). Ensure all mm structres
>>> get updated with the new section information.
>>>
>>> Signed-off-by: Laura Abbott <[email-masked]>
>>
>> This looks right to me. :)
>>
>> Reviewed-by: Kees Cook <[email-masked]>
>>
>> Russell, does this work for you?
>
> Did this end up in the patch tracker? (I just sent a patch that'll
> collide with this... I'm happy to do the fix up.)
>

I put this in the patch tracker this morning.
  
> -Kees

Thanks,
Laura